
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebServiceClient(name = "X43RTA", targetNamespace = "com/ejie/x43s/v2/rta/ws", wsdlLocation = "META-INF/wsdls/X43TareasTramitacion.wsdl")
public class X43RTA
    extends Service
{

    private final static URL X43RTA_WSDL_LOCATION;
    private final static Logger logger = Logger.getLogger(com.ejie.ab61.clientesWS.X43TareasTramitacion.X43RTA.class.getName());

    static {
        URL url = null;
        try {
            URL baseUrl;
            baseUrl = com.ejie.ab61.clientesWS.X43TareasTramitacion.X43RTA.class.getResource(".");
            url = new URL(baseUrl, "META-INF/wsdls/X43TareasTramitacion.wsdl");
        } catch (MalformedURLException e) {
            logger.warning("Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43TareasTramitacion.wsdl', retrying as a local file");
            logger.warning(e.getMessage());
        }
        X43RTA_WSDL_LOCATION = url;
    }

    public X43RTA(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public X43RTA() {
        super(X43RTA_WSDL_LOCATION, new QName("com/ejie/x43s/v2/rta/ws", "X43RTA"));
    }

    /**
     * 
     * @return
     *     returns X43RTAPortType
     */
    @WebEndpoint(name = "X43RTAPort")
    public X43RTAPortType getX43RTAPort() {
        return super.getPort(new QName("com/ejie/x43s/v2/rta/ws", "X43RTAPort"), X43RTAPortType.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns X43RTAPortType
     */
    @WebEndpoint(name = "X43RTAPort")
    public X43RTAPortType getX43RTAPort(WebServiceFeature... features) {
        return super.getPort(new QName("com/ejie/x43s/v2/rta/ws", "X43RTAPort"), X43RTAPortType.class, features);
    }

}
